#pragma once

#include <stddef.h>

#define write_buf(fd, buf) \
	write_all(fd, (unsigned const char *)buf, sizeof(buf)-1)

int read_all(int fd, unsigned char *buf, size_t count);
int read_some(int fd, unsigned char *buf, size_t *lenp);
int read_char(int fd);
ssize_t read_file(char *buf, size_t len, const char *fmt, ...);
int write_all(int fd, unsigned const char *buf, size_t count);
int write_char(int fd, char c);
char *read_full(int fd);
